Loading...
Searching...
No Matches
Activation
GASS Transfer API

Activation. More...

## Macros

#define | GLOBUS_GASS_TRANSFER_MODULE

## Detailed Description

Activation.

The Globus GASS Transfer library uses the standard module activation and deactivation API to initialize its state. Before any GASS functions are called, the module must be activated

globus_module_activate(GLOBUS_GASS_TRANSFER_MODULE);
GLOBUS_GASS_TRANSFER_MODULE
#define GLOBUS_GASS_TRANSFER_MODULE
Definition globus_gass_transfer.h:101

This function returns GLOBUS_SUCCESS if the GASS library was successfully initialized. This may be called multiple times.

To deactivate the GASS transfer library, the following must be called

globus_module_deactivate(GLOBUS_GASS_TRANSFER_MODULE);

## Macro Definition Documentation

## GLOBUS_GASS_TRANSFER_MODULE

#define GLOBUS_GASS_TRANSFER_MODULE

Module descriptor